## libvpx 1.16.0

=== debian/changelog ===
libvpx (1.16.0-3) unstable; urgency=medium

  * debian/patches: Apply upstream patch for CVE-2026-2447 (Closes: #1128283)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Feb 2026 21:23:04 +0100

libvpx (1.16.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Feb 2026 16:45:05 +0100

libvpx (1.16.0-1) experimental; urgency=medium

  * New upstream version 1.16.0
  * SONAME bump: libvpx11 -> libvpx12
  * debian/control:
    - Drop Priority: optional
    - Bump Standards-Version
    - Drop RRR: no
  * debian/: Remove armel
  * debian/rules: No longer specify -Wall
  * debian/copyright: Update copyright for 1.16.0

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 30 Jan 2026 14:56:22 +0100
